Bug 435856 - ofx import ignores banking transactions in invenstment account since libofx upgrade to 0.10
Summary: ofx import ignores banking transactions in invenstment account since libofx u...
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: importer (show other bugs)
Version: 5.1.1
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jack
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-17 21:30 UTC by Jack
Modified: 2021-04-18 22:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2021-04-17 21:30:17 UTC
OFX allows banking transactions (DEPOSIT, ATM, DIRECTDEBIT, ...) for investment accounts.  Using the previous version of libofx (0.9.15) KMM (up to 5.0.x) imported such transactions into the brokerage account for the investment account.  Internally, libofx set invbanktran_valid to false, and KMM's ofx import (ofxTransactionCallback) essentially ignored them, so they were handled by the statement importer.  As of libofx 0.10.1 it is true, invbanktran is sets to OFX_INVBANKTRAN, and KMM fails to recognize invbanktran, and fails to import the transaction at all.

I will file a PR for this shortly.
Comment 1 Jack 2021-04-18 22:35:38 UTC
Git commit da0204090f5b6b74d5774328ba5dbf19f3fd1334 by Jack Ostroff.
Committed on 18/04/2021 at 22:35.
Pushed by ostroffjh into branch 'master'.

Allow ofx import of regular banking transactions within an investment
account.  An upgrade for libofx 0.10 changed invtransactiontype from
false to true, so we need to explicitly recognize invtransactiontype
OFX_INVBANKTRAN.

(cherry picked from commit 88d97f79ace88879136c60a99c69c7dc50a32548)

M  +4    -1    kmymoney/plugins/ofx/import/ofximporter.cpp

https://invent.kde.org/office/kmymoney/commit/da0204090f5b6b74d5774328ba5dbf19f3fd1334